package windows;

import java.util.*;		// ArrayList

/**
 * Clase que representa una categoria en el juego.
*/
public class Category {
	private String name;
	private ArrayList<Word> words;
	/**
	* Constructor publico.
	* 
	* Inicializa el objeto.
	* 
	*/
	public Category(){
		words = new ArrayList<Word>();
	}
	/**
	* Constructor publico.
	* 
	* Inicializa el objeto.
	* @param s 		nombre de la categoria
	*/
	public Category(String s){
		name = s;
		words = new ArrayList<Word>();
	}
	/**
	* Retorna el nombre de la categoria
	* @return name		nombre de la categoria
	*/
	public String getName(){
		return name;
	}
	/**
	* Retorna las palabras almacenadas en la categoria
	* @return words 		lista de palabras de la categoria
	*/
	public ArrayList<Word> getWords(){
		return words;
	}
	/**
	* Agrega una palabra 'Word' a la categoria
	* @param w 		palabra nueva
	*/
	public void addWord(Word w){
		words.add(w);
	}
}
